module Blamescope
  # 
  # Rack middleware to intercept request environment
  # 
  # @author Volodymyr Ladnik
  # 
  class Middleware
    
    def initialize(app, config = nil)
      @app = app
      Blamescope.configure(config) if config
    end

    def call(env)
      Thread.current[:env] = env
      @app.call(env)
    end
  end
end